// rebel SCSS for the theme.

// Navbar
.navbar {
    background-color: $navbar-bg;
    border-bottom: 1px solid $gray-500;
    box-shadow: 0 2px 4px rgba(0, 0, 0, .08);
    padding: 2px 1rem 2px 2px;
    line-height: 0;
    max-height: 46px;
    color: $navbartextcolor;
}
.navbar a {
  color: $navbartextcolor; 
}
.navbar a:hover {
  color: darken($navbartextcolor, 10%); 
}

// Footer
#page-wrapper #page-footer {
    background-color: $footer-bg;
    color: $footertextcolor;
    border-top: 1px solid $gray-400;
}
#page-wrapper #page-footer a {
    color: $footerlinkcolor;
}
#page-footer a .icon {
    color: $footertextcolor;
}

// Remove margins
#page {
    margin-top: 0px;
    background-color: $white;
}

// Remove borders
section#region-main, section#region-main .card, header#page-header .card {
    border: 0;
    background-color: transparent;
}

// Main learning content styling
@media (min-width: 700px) {
  div#learningcontent {
      margin: 30px 30px 30px 90px;
  }
}
@media (max-width: 700px) {
  div#learningcontent {
      margin: 0 0 0 50px;
  }
}
.region_main_settings_menu_proxy {
    background-color: transparent;
}
a#message-user-button {
    display: none;
}
.headerlinks {
    display: inline-flex;
    overflow-x: auto;
    align-items: center;
    padding: .5rem;
    text-align: center;
    background-color: $headerlinks-bg;
    font-size: 16px;
    z-index: 1;
}
@media (min-width: 700px) {
  .headerlinks {
    background-color: $headerlinks-bg;
    border-top: 1px solid lighten($headerlinks-bg, 15%);
    border-right: 1px solid lighten($headerlinks-bg, 15%);
  }
}
a.headerlink {
    margin-left: 1rem;
    color: $headerlinks-link;
}
header#page-header {
  background-color: $header-bg;
  border-bottom: 1px solid $gray-400;
}
.headerlinks::-webkit-scrollbar {
    height: 7px;
}

.headerlinks::-webkit-scrollbar-track {
    background-color: #fff;
}

.headerlinks::-webkit-scrollbar-thumb {
    background-color: $brand-primary;
}
[data-region="blocks-column"] {
    padding-top: 1rem;
}
section#easyenrol {
    color: $easyenrolltextcolor;
    background-color: $easyenroll-bg;
}

.usernavbar .popover-region .popover-region-container {
  top: 32px;
  z-index: 4;
}
.usernavbar .popover-region {
  float: left;
  padding: 0;
  margin: 0;
  max-height: 45px;
  line-height: 0;
}
.usernavbar .popover-region-toggle::before {
  position: absolute;
  bottom: 0;
  right: 21px;
}
.usernavbar .popover-region-toggle::after {
  position: absolute;
  bottom: 0;
  right: 21px;
}
.page-context-header {
    padding: 1rem .25rem;
}

// Sidebar Icon Navigation Sidebar

.sidebar {
  margin: 0;
  padding: 0;
  width: 60px;
  background-color: $sidebar-bg;
  position: fixed;
  top: 80px;
  left: 0;
  overflow: visible;
  z-index: 4;
}
#page-grade-report-grader-index .sidebar {
    position: absolute;
}
.sidebar a.sideicon {
  display: block;
  text-align: center;
  padding: 16px;
  transition: all 0.3s ease;
}
.sidebar a.sideicon i {
  color: $sidebar-iconcolor;
  font-size: 24px;
}
.sidebar a.sideicon.attention {
  background-color: $sidebar-aattention;
}
.sidebar a.sideicon:hover:not(.active) {
  background-color: $sidebar-ahover-bg;
  border-right: 7px solid $sidebar-borderright-color;
}

.sidebar .sideicon.mydashboardmobile {display: none;}

@media screen and (max-width: 700px) {
    .sidebar {
      margin: 0;
      padding: 0;
      width: 45px;
      background-color: $sidebar-bg;
      position: fixed;
      top: 0;
      left: 0;
      overflow: visible;
      z-index: 4;
    }
    .sidebar a.sideicon {
      display: block;
      text-align: center;
      padding: 4px;
      transition: all 0.3s ease;
      
    }
    .sidebar a.sideicon i {
      color: $sidebar-iconcolor;
      font-size: 16px;
    }
    .sidebar a.sideicon.attention {
      background-color: $sidebar-aattention;
    }
    .sidebar a.sideicon:hover:not(.active) {
      background-color: $sidebar-ahover-bg;
      border-right: 7px solid $sidebar-borderright-color;
    }
}
.dropdown-menu.iconsidebar.show {
    height: 325px;
    overflow-y: scroll;
    padding: 1rem .5rem;
    width: 275px;
    border-radius: 7px;
}
@media screen and (max-width: 400px) {
  a.sideicon.siteadmin {
      display: none;
  }
  #page-my-index a.sideicon.siteadmin {
      display: block;
  }
}

// Sidebar Course Settings Scrollbars.
.dropdown-menu.iconsidebar.show::-webkit-scrollbar {
    width: 9px;
}
.dropdown-menu.iconsidebar.show::-webkit-scrollbar-track {
    background-color: #555;
}
.dropdown-menu.iconsidebar.show::-webkit-scrollbar-thumb {
    background-color: $brand-primary;
}

// NavDrawer
body.drawer-open-left {
    margin-left: 0;
}
#nav-drawer {
        border: 1px solid #ccc;
        z-index: 3;
        border-radius: 10px;
        height:100%
    }
@media screen and (min-width: 700px) {
    #nav-drawer {
        left: 60px;
        top: 0px;
    }
}
@media screen and (max-width: 700px) {
    #nav-drawer {
        top: 62px;
        height: calc(100% - 62px);
        padding: 1rem 0;
    } 
}
.message-app {
    background-color: $drawer-bg;
}

.popover-region-footer-container {
    padding-top: 15px;
}

.popover-region-container {
    right: 0;
    top: 0;
    height: auto;
    z-index: 4;
}

@media (max-width: 767px) {
  .navbar .popover-region .popover-region-container {
      right: -40px;
  }
}
[data-region=right-hand-drawer] .closewidget {
    display: block;
}

[data-region=right-hand-drawer].drawer {
    top: 0;
    height: 100%;
}

// Sidebar Course Settings Scrollbars.
[data-region="drawer"]::-webkit-scrollbar {
    width: 9px;
}

[data-region="drawer"]::-webkit-scrollbar-track {
    background-color: #555;
}

[data-region="drawer"]::-webkit-scrollbar-thumb {
    background-color: $brand-primary;
}

// Login Image and card background restore.
body.pagelayout-login section#region-main .card {
    background-color: $white;
}
body.pagelayout-login #page {
    background-color: transparent;
}
body.pagelayout-login {
    background-image: url([[pix:theme_rebel|loginbkgimage]]);
    background-size: cover;
}

// Accessibility links
.aalink.focus, .aalink:focus,
#page-footer a:not([class]).focus,
#page-footer a:not([class]):focus,
.arrow_link.focus,
.arrow_link:focus,
a:not([class]).focus,
a:not([class]):focus,
.activityinstance > a.focus,
.activityinstance > a:focus {
  outline: none;
  color: initial;
  background-color: transparent;
  box-shadow: none; }

.aalink:focus:hover,
#page-footer a:not([class]):focus:hover,
.arrow_link:focus:hover,
a:not([class]):focus:hover,
.activityinstance > a:focus:hover {
  text-decoration: none; }

// Accessible focus styling for links, add .aalink to links with custom css classes to get
// accessible focus styles.
.aalink,
#page-footer a:not([class]),
.arrow_link,
a:not([class]),
.activityinstance > a {
    &.focus,
    &:focus {
        outline: none;
        color: initial;
        background-color: transparent;
        box-shadow: 0;
    }
    &:focus:hover {
        text-decoration: none;
    }
}

// breadcrumb styling

#page-navbar {
  width: auto;
}
@media (max-width: 500px) {
  #page-navbar {
    display: none;
  }
}
@media (max-width: 700px) {
  .breadcrumb:not(:empty) {
      width: 100%;
      border: 0; 
      padding: 0; 
      margin-bottom: 0; 
  }
}

.breadcrumb{
  list-style:none;
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  .icon{
    font-size: 14px;
  }
  
  li{
    float:left;
    a{
      color:$breadcrumblinkcolor;
      display:block;
      background: $breadcrumbblock;
      text-decoration: none;
      position:relative;
      height: 40px;
      line-height:40px;
      padding: 0 10px 0 5px;
      text-align: center;
      margin-right: 23px;
    }
    &:first-child{
      a{
        padding-left:15px;
        @include border-radius(4px 0 0 4px);
        &:before{
          border:none;
         }
      }
    }
    &:last-child{
      a{
        background-color: $breadcrumbblock-darken;
        padding-right:15px;
        @include border-radius(0 4px 4px 0);
        &:after{
          border:none;
         }
        &:before{
          border-color:$breadcrumbblock-darken;
          border-left-color:transparent;
         }
        &:after{
          border-left-color:$breadcrumbblock-darken;
        }
      }
    }
    
    a{   
      &:before,
      &:after{
        content: "";
        position:absolute;
        top: 0;
        border:0 solid $breadcrumbblock;
        border-width:20px 10px;
        width: 0;
        height: 0;
      }
      &:before{
        left:-20px;
        border-left-color:transparent;
      }
      &:after{
        left:100%;
        border-color:transparent;
        border-left-color:$breadcrumbblock;
      }
      &:hover{
        color: $breadcrumblinkcolor-hover;
        background-color: $breadcrumbblock-highlight;
        
        &:before{
          border-color:$breadcrumbblock-highlight;
          border-left-color:transparent;
         }
        &:after{
          border-left-color:$breadcrumbblock-highlight;
        }
      }
      &:focus{
        background-color: $breadcrumbblock-highlight;
        
        &:before{
          border-color:$breadcrumbblock-highlight;
          border-left-color:transparent;
         }
        &:after{
          border-left-color:$breadcrumbblock-highlight;
        }
      }
      &:active{
        background-color: $breadcrumbblock-highlight-darken;
        
        &:before{
          border-color:$breadcrumbblock-highlight-darken;
          border-left-color:transparent;
         }
        &:after{
          border-left-color:$breadcrumbblock-highlight-darken;
        }
      }
    }
  }
}
@media only screen and ( max-width: 900px ) {
  .breadcrumb{
    li{
     display: none;
      &:first-child{
       display: block;
      }
      &:last-child{
       display: block;
      }
    }
  }
}

// Assignment Grading
.path-mod-assign [data-region="grading-navigation-panel"] {
    background-color: $white;
}
.path-mod-assign [data-region="grade-actions-panel"] {
    background-color: $white;
}
.activity-navigation {
    text-align: center;
}
@media (min-width: 700px) {
  .tooltip-inner {
    font-size:18px;
    padding: 10px;
    min-width: 200px;
    max-width: 350px;
  }
}

// Custom Login Page
#page-login-index section#region-main .card.feature {
    border: 1px solid $gray-400;
    border-top: 7px solid $gray-600;
    background-color: $gray-100;
}
#page-login-index section#region-main .card.loginbottomtext {
    border-top: 7px solid $gray-600;
}

// Calendar Upcoming Events colors
.calendar_event_course {
    border-color: $gray-500;
}
.calendar_event_course {
    background-color: $navbar-bg;
}
.path-calendar .maincalendar .calendar_event_course {
    border-color: $gray-500;
}


//MyCourses Styling
ul.headermycourses {
    list-style: none;
    margin: 0;
}
ul.headermycourses .nav-link {
  padding: 0;
}
ul.headermycourses a {
  color: $headerlinks-link;
}
.custommenu {
    display: flex;
    width: 100%;
    flex-direction: row;
    justify-content: flex-start;
}
ul.custommenu {
    list-style: none;
    margin-bottom: 0;
}

// Collapsible Topics format
.course-content .collapsible-actions {
    margin-top: 1rem;
    clear: both;
    text-align: left;
}
body.editing ul.collapsibletopics .content .summarytext {
    margin-left: 0;
    margin-right: 0;
}